Update Workflow
curl --request POST \
--url https://api.sixtyfour.ai/workflows/update_workflow \
--header 'Content-Type: application/json' \
--data '
{
"workflow_name": "<string>",
"workflow_description": "<string>",
"workflow_definition": {
"blocks": [
{
"sequence_number": 123,
"block_type": "<string>",
"block_name": "<string>",
"specs": {},
"block_id": "<string>"
}
],
"edges": [
{
"from_block_id": "<string>",
"to_block_id": "<string>",
"condition": "<string>"
}
]
}
}
'import requests
url = "https://api.sixtyfour.ai/workflows/update_workflow"
payload = {
"workflow_name": "<string>",
"workflow_description": "<string>",
"workflow_definition": {
"blocks": [
{
"sequence_number": 123,
"block_type": "<string>",
"block_name": "<string>",
"specs": {},
"block_id": "<string>"
}
],
"edges": [
{
"from_block_id": "<string>",
"to_block_id": "<string>",
"condition": "<string>"
}
]
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
workflow_name: '<string>',
workflow_description: '<string>',
workflow_definition: {
blocks: [
{
sequence_number: 123,
block_type: '<string>',
block_name: '<string>',
specs: {},
block_id: '<string>'
}
],
edges: [{from_block_id: '<string>', to_block_id: '<string>', condition: '<string>'}]
}
})
};
fetch('https://api.sixtyfour.ai/workflows/update_workflow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"step": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_uuid": "<string>",
"org_id": "<string>",
"description": "<string>",
"last_run_date": "2023-11-07T05:31:56Z",
"workflow_definition": {
"blocks": [
{
"sequence_number": 123,
"block_type": "<string>",
"block_name": "<string>",
"specs": {},
"block_id": "<string>"
}
],
"edges": [
{
"from_block_id": "<string>",
"to_block_id": "<string>",
"condition": "<string>"
}
]
}
}{
"detail": "Invalid request body"
}{
"detail": "Invalid API key"
}{
"detail": "Access denied"
}{
"detail": "Workflow not found"
}{
"detail": "Workflow with ID 0123abcd-1234-5678-9abc-def012345678 already exists. Use update endpoint to modify existing workflows."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
]
}{
"detail": "Internal server error"
}Workflows
Update Workflow
Update a workflow’s name, description, or block definition. Creates the workflow if it doesn’t exist.
POST
/
workflows
/
update_workflow
Update Workflow
Headers
Query Parameters
Body
application/json
Response
Successful Response
Workflow identifier.
Workflow name.
Lifecycle status of the workflow definition (e.g. draft, ready).
Current authoring step in the builder UI.
Timestamp when the record was created.
Timestamp when the record was last updated.
User who created the workflow.
Organization that owns the workflow.
Workflow description.
Timestamp of the most recent run.
Workflow graph; included on detail responses.
Show child attributes
Show child attributes
Was this page helpful?
⌘I